package com.diagbot.client.hystrix;

import com.diagbot.client.AIServiceClient;
import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.ResponseData;
import com.diagbot.vo.SearchVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/20 13:15
 */
@Component
@Slf4j
public class AIServiceHystrix implements AIServiceClient {
    @Override
    public Response<ResponseData> bayesPageData(SearchVo searchVo) {
        log.error("【hystrix】调用{}异常", "bayesPageData");
        return null;
    }
}
